/* Header rules */
body>header {
  padding-left: 7%;
  padding-right: 7%;
  position: sticky;
  top: 0;
  /* Make sure header is visible atop other content at ALL TIMES. */
  z-index: 777;
  background-color: white;
  justify-content: space-between;
  align-items: center;
  min-height: 10vh;
}

/* Header child rules */
body>header * {
  flex-direction: inherit;
}

body>header a {
  padding: 8px;
}

/* Header top children rules */
header>div.top {
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex: 1 0 auto;
}

header>div.top * {
  flex: 0 0 auto;
  
}

header>div.top>img.logo {
  width: 200px;
}

header>div.top>button#navi-hbg {
  font-size: 16px;
  justify-content: center;
  align-items: center;
  border-radius: 25%;
  background-color: inherit;
  border: 1px solid gray;
  padding: 8px;
  cursor: pointer;
}

header>div.top>button#navi-hbg:hover {
  background-color: bisque;
}

body>header>div.bottom {
  overflow: hidden;
  overflow-y: auto;
}

/* Screen width specific rules: Hamburger button toggle. */
@media screen and (min-width: 840px) {
  body>header {
    flex-direction: row;
  }

  body>header>div.top {
    flex: 0 0 auto;
  }

  body>header>div.top>button#navi-hbg {
    display: none;
  }
}

@media screen and (max-width: 840px) {
  body>header {
    flex-direction: column;
  }

  body>header>* {
    width: 100%;
  }

  body>header>div.top {
    flex: 1 0 auto;
  }

  body>header>div.bottom {
    height: 0px;
  }

  body>header>div.bottom.expand {
    height: 200px;
    padding: 8px;
    margin-bottom: 8px;
  }



}